LinkExtractorParseException (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.parser, class: LinkExtractorParseException

Package org.apache.jmeter.protocol.http.parser

# Class LinkExtractorParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.protocol.http.parser.LinkExtractorParseException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HTMLParseException`

public class LinkExtractorParseException extends Exception
Exception used with `LinkExtractorParser`

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkExtractorParseException()`
  `LinkExtractorParseException(String message)`
  `LinkExtractorParseException(String message, Throwable cause)`
  `LinkExtractorParseException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
  `LinkExtractorParseException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LinkExtractorParseException

    public LinkExtractorParseException()

  - ### LinkExtractorParseException

    public LinkExtractorParseException(String message)
    Parameters:
      `message` - text describing the cause of the exception

  - ### LinkExtractorParseException

    public LinkExtractorParseException(Throwable cause)
    Parameters:
      `cause` - of the exception

  - ### LinkExtractorParseException

    public LinkExtractorParseException(String message, Throwable cause)
    Parameters:
      `message` - text describing the cause of the exception
      `cause` - exception, that lead to this exception

  - ### LinkExtractorParseException

    public LinkExtractorParseException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
    Parameters:
      `message` - text describing the cause of the exception
      `cause` - exception, that lead to this exception
      `enableSuppression` - whether or not suppression is enabled
      `writableStackTrace` - whether or not the stacktrace should be writable